elftosb::IntegerValue Class Reference

32-bit signed integer value. More...

`#include <Value.h>`

Inheritance diagram for elftosb::IntegerValue:
[legend]
Collaboration diagram for elftosb::IntegerValue:
[legend]

## Public Member Functions

| IntegerValue (uint32_t value)
| IntegerValue (const IntegerValue &other)
virtual std::string | getTypeName () const
virtual size_t | getSize () const
uint32_t | getValue () const
| operator uint32_t () const
IntegerValue & | operator= (uint32_t value)

## Protected Attributes

uint32_t | m_value
| The integer value.

## Detailed Description

32-bit signed integer value.

The documentation for this class was generated from the following file:

- apps/elftosb/common/Value.h